Package jade.util.leap

This package contains a set of classes that provides a replacement for the Java collection framework that is not supported by J2ME.

See: Description

Package jade.util.leap Description

This package contains a set of classes that provides a replacement for the Java collection framework that is not supported by J2ME. This replacement is internally used by JADE and, in general, users are not encouraged to use these classes, because their behaviour is not fully-compatible with the java.util classes (e.g. for the thread-safeness). They have been tested just for the purpose of replacing the JADE internal usage.

These are the official JADE API. For these API backward compatibility is guaranteed accross JADE versions